
<div *ngIf="book">
    

    <!-- <h2>{{ book.Name }}</h2> -->


    <div>
        Book Name:
        <input  [(ngModel)]="book.Name" placeholder="book name" />
    </div>

    <div>
        Author Name:
        <input [(ngModel)]="book.author" placeholder="author name" />
    </div>

    <div>
        Genre:
        <input [(ngModel)]="book.genre" placeholder="genre" />
    </div>

    <div>
        Publisher:
        <input [(ngModel)]="book.publisher" placeholder="publisher" />
    </div>

    <div>
        Language:
        <input [(ngModel)]="book.language" placeholder="language" />
    </div>

    <div>
        Price:
        <input [(ngModel)]="book.price" placeholder="price" />
    </div>

    <button (click)="updateBook(book)" *ngIf="book.id">Save</button>
    <button (click)="deleteBook(book)" *ngIf="book.id">Delete</button>
    <button (click)="createBook(book)" *ngIf="!book.id">Create</button>

</div>

